> ## Documentation Index
> Fetch the complete documentation index at: https://docs.open.cx/llms.txt
> Use this file to discover all available pages before exploring further.

> Get website datasource details — Retrieve a website datasource with page statistics and active crawl job information.

# Get website datasource details



## OpenAPI

````yaml get /crawl/{id}
openapi: 3.1.0
info:
  title: OpenCX API
  description: >

    OpenCX is an AI-powered, all-in-one platform for customer support and
    outbound communications.


    Use this API to manage your OpenCX organization's AI agents, actions,
    conversations, contacts, and more.


    To get started, generate a new API key from the dashboard.


    ## Authentication

    All API endpoints require authentication using a Bearer token. You can
    generate an API key from your OpenCX dashboard.


    ## Rate Limiting

    API requests are rate limited to ensure fair usage. The current limits are:

    - 100 requests per minute for standard endpoints

    - 1000 requests per minute for streaming endpoints


    ## Error Handling

    The API uses standard HTTP status codes and returns detailed error messages
    in the response body.
  version: 1.0-beta
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.open.cx
    description: Production
security:
  - bearerAuth: []
paths:
  /crawl/{id}:
    get:
      tags:
        - Crawl
      summary: Get website datasource details
      description: >-
        Retrieve a website datasource with page statistics and active crawl job
        information.
      operationId: getCrawlDatasource
      parameters:
        - schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          in: path
          name: id
          required: true
          description: The website datasource ID
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrawlDatasourceDetail'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
components:
  schemas:
    CrawlDatasourceDetail:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/CrawlDatasourceDetail'
      type: object
      properties:
        id:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        url:
          type: string
        display_name:
          type: string
        status:
          type: string
        page_limit:
          anyOf:
            - type: number
            - type: 'null'
        exclude_paths:
          type: array
          items:
            type: string
        include_paths:
          type: array
          items:
            type: string
        crawl_interval_hours:
          anyOf:
            - type: number
            - type: 'null'
        restricted_to_channels:
          type: array
          items:
            $ref: '#/components/schemas/SessionChannel'
          description: >-
            Channels this datasource is restricted to. Empty = available on all
            channels.
        last_crawl_started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
        last_crawl_completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
        error_message:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        page_stats:
          type: object
          properties:
            total:
              type: number
            synced:
              type: number
            pending:
              type: number
            error:
              type: number
            excluded:
              type: number
          required:
            - total
            - synced
            - pending
            - error
            - excluded
          additionalProperties: false
        active_crawl_job:
          anyOf:
            - type: object
              properties:
                id:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                status:
                  type: string
                total_pages:
                  anyOf:
                    - type: number
                    - type: 'null'
                completed_pages:
                  type: number
                new_pages:
                  type: number
                updated_pages:
                  type: number
                removed_pages:
                  type: number
                unchanged_pages:
                  type: number
                started_at:
                  anyOf:
                    - type: string
                      format: date-time
                    - type: 'null'
              required:
                - id
                - status
                - total_pages
                - completed_pages
                - new_pages
                - updated_pages
                - removed_pages
                - unchanged_pages
                - started_at
              additionalProperties: false
            - type: 'null'
      required:
        - id
        - url
        - display_name
        - status
        - page_limit
        - exclude_paths
        - include_paths
        - crawl_interval_hours
        - restricted_to_channels
        - last_crawl_started_at
        - last_crawl_completed_at
        - error_message
        - created_at
        - updated_at
        - page_stats
        - active_crawl_job
      additionalProperties: false
    ErrorDto:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
    SessionChannel:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/SessionChannel'
      type: string
      enum:
        - web
        - email
        - phone_voice
        - slack
        - sms
        - whatsapp
        - instagram
        - messenger
        - api
        - web_voice
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````